#!/bin/bash

set -eu -o pipefail

MYDIR=$(dirname "$0")
. "$MYDIR/common.sh"

docker-compose up -d pgnode1

timestamp=$(date +%Y-%m-%d-%H-%M-%S)
dump_filename="openslides_${instance}_$timestamp.sql"
for db in instancecfg mediafiledata openslides; do 
	docker-compose exec -u postgres pgnode1 pg_dump -c -C "$db"
done > $dump_filename
